summaryrefslogtreecommitdiffstats
path: root/abs/extra/community
diff options
context:
space:
mode:
authorCecil <knoppmyth@gmail.com>2011-07-17 20:44:32 (GMT)
committerCecil <knoppmyth@gmail.com>2011-07-17 20:44:32 (GMT)
commitbebca306eaa6ea03426bbd9f4e5601a8a4f2fcc0 (patch)
tree8384b08e28175a8c33cc40a80d5187ee6f06c21b /abs/extra/community
parentbc20eabc527a488cdde599da89306442342b41f3 (diff)
downloadlinhes_pkgbuild-bebca306eaa6ea03426bbd9f4e5601a8a4f2fcc0.zip
linhes_pkgbuild-bebca306eaa6ea03426bbd9f4e5601a8a4f2fcc0.tar.gz
linhes_pkgbuild-bebca306eaa6ea03426bbd9f4e5601a8a4f2fcc0.tar.bz2
fluidsynth:additional missing files.
Diffstat (limited to 'abs/extra/community')
-rw-r--r--abs/extra/community/fluidsynth/fluidsynth.conf2
-rw-r--r--abs/extra/community/fluidsynth/fluidsynthd40
2 files changed, 42 insertions, 0 deletions
diff --git a/abs/extra/community/fluidsynth/fluidsynth.conf b/abs/extra/community/fluidsynth/fluidsynth.conf
new file mode 100644
index 0000000..5267d58
--- /dev/null
+++ b/abs/extra/community/fluidsynth/fluidsynth.conf
@@ -0,0 +1,2 @@
+FSYNTH_OPTS="-a alsa -m alsa_seq -r 48000"
+FSYNTH_SOUNDFONT="" \ No newline at end of file
diff --git a/abs/extra/community/fluidsynth/fluidsynthd b/abs/extra/community/fluidsynth/fluidsynthd
new file mode 100644
index 0000000..ca1e8fa
--- /dev/null
+++ b/abs/extra/community/fluidsynth/fluidsynthd
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+[ -f /etc/conf.d/fluidsynth ] && . /etc/conf.d/fluidsynth
+
+PID=`pidof -o %PPID /usr/bin/fluidsynth`
+case "$1" in
+ start)
+ stat_busy "Starting Fluidsynth soundfont synthesizer"
+ [ -z "$PID" ] && /usr/bin/fluidsynth -is $FSYNTH_OPTS $FSYNTH_SOUNDFONT > /dev/null 2>&1 &
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ echo $PID > /var/run/fluidsynth.pid
+ add_daemon fluidsynth
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Fluidsynth soundfont synthesizer"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm /var/run/fluidsynth.pid
+ rm_daemon fluidsynth
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0